Subject: Re: bug#36069: Menu-based installer unusable through noVNC

From: Robert Vollmert <[email-masked]>
Date: Sat, 20 Jul 2019 17:17:21 +0200

> On 20. Jul 2019, at 15:47, Ludovic Courtès <[email-masked]> wrote:
> 
> Hi Mark,
> 
> Mark H Weaver <[email-masked]> skribis:
> 
>> Ludovic Courtès <[email-masked]> wrote:
>> 
>>> Robert Vollmert <[email-masked]> skribis:
> 
> [...]
> 
>>>> Great find! Indeed, lspci lists
>>>> 
>>>> 00:02.0 VGA compatible controller: Cirrus Logic GD 5446
>>>> 
>>>> Is this something that could be fixed by including a driver for that
>>>> card in the kernel?
>>> 
>>> I suppose so.
>>> 
>>> Mark, WDYT about adding support for Cirrus VGA cards to the kernel?
>>> What would it take to do so?
>> 
>> I know of two kernel configuration options for Cirrus video cards:
>> 
>>  CONFIG_DRM_CIRRUS_QEMU: Cirrus driver for QEMU emulated device
>>  CONFIG_FB_CIRRUS: Cirrus Logic support
>> 
>> CONFIG_DRM_CIRRUS_QEMU is enabled as a module in all of our
>> configurations except for 5.2-arm-veyron.conf.  CONFIG_FB_CIRRUS is
>> enabled as a module in all of our x86_64 and i686 configurations.
>> 
>> Is there something else I've overlooked?
> 
> Oh, I see.
> 
> Robert and Björn, could you check if adding the ‘cirrus’ and possibly
> the ‘cirrusfb’ module(s) to ‘initrd-modules’ in the image you run at
> your VPS solves the issue?

It would need to be added to the installer. Is there a way to add it
via grub command line? Alternatively, is there a way to test this from
a regular guix system console?

(I’m not sure to what extent I’ll be able to do that — my VPS is now
serving “important” things. Note that the bug is reproducible on QEMU
by passing “-vga cirrus”.)